ISST-LTE:pVM:roselp4:ubuntu16.04.2: number of numa_miss and numa_foreign wrong in numastat

Bug #1672953 reported by bugproxy on 2017-03-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Tim Gardner
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

== Comment: #0 - Ping Tian Han <email address hidden> - 2016-12-07 19:14:40 ==
+++ This bug was initially created as a clone of Bug #148750 +++

On roselp4, we got numastat as this:

% sudo numastat
                           node0 node1
numa_hit 0 0
numa_miss 0 292054
numa_foreign 0 292054
interleave_hit 0 4100
local_node 0 0
other_node 0 0
% uname -a
Linux roselp4 4.8.0-30-generic #32~16.04.1-Ubuntu SMP Fri Dec 2 03:43:52 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux
%

The number of numa_miss and numa_foreign looks wrong, because the manual says that "Each numa_miss has a numa_foreign on another node." and "Each numa_foreign has a numa_miss on another node." But the numbers of node0 are all zeros.

== Comment: #18 - JIA HE <email address hidden> - 2017-02-20 00:24:26 ==
hi, Ping Tian Han
Please see the test result, is it what you expected?
before the patches
root@seedlp1:~# numastat
                           node0 node2 node3
numa_hit 0 0 0
numa_miss 0 352521 5466
numa_foreign 0 352521 5466
interleave_hit 0 5628 5402
local_node 0 0 0
other_node 0 0 0
root@seedlp1:~#

after the patches
xinhui locking
root@seedlp1:/boot# numastat
                           node0 node2 node3
numa_hit 0 238766 4837
numa_miss 0 0 0
numa_foreign 0 0 0
interleave_hit 0 4888 4777
local_node 0 0 0
other_node 0 238766 4837

== Comment: #19 - JIA HE <email address hidden> - 2017-02-20 00:28:14 ==
New kernel is at http://kernel.stglabs.ibm.com/~hejianet/bug149763/linux-image-4.8.0-37-generic_4.8.0-37.39_ppc64el.deb

md5: f3a57af05f0945f10b9d2841844f0fe4 linux-image-4.8.0-37-generic_4.8.0-37.39bug149763_ppc64el.deb

== Comment: #20 - Ping Tian Han <email address hidden> - 2017-02-20 00:57:30 ==
(In reply to comment #18)
> hi, Ping Tian Han
> Please see the test result, is it what you expected?
> before the patches
> root@seedlp1:~# numastat
> node0 node2 node3
> numa_hit 0 0 0
> numa_miss 0 352521 5466
> numa_foreign 0 352521 5466
> interleave_hit 0 5628 5402
> local_node 0 0 0
> other_node 0 0 0
> root@seedlp1:~#
>
> after the patches
> xinhui locking
> root@seedlp1:/boot# numastat
> node0 node2 node3
> numa_hit 0 238766 4837
> numa_miss 0 0 0
> numa_foreign 0 0 0
> interleave_hit 0 4888 4777
> local_node 0 0 0
> other_node 0 238766 4837

This looks good to me. Thanks.

Please cherry pick the patches below

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=2df26639e708a88dcc22171949da638a9998f3bc

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=41b6167e8f746b475668f1da78599fc4284f18db

CVE References

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-149763 severity-high targetmilestone-inin---

Default Comment by Bridge

Default Comment by Bridge

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1672953/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)
Tim Gardner (timg-tpi) on 2017-03-17
Changed in linux (Ubuntu Zesty):
status: New → Fix Released
Changed in linux (Ubuntu Yakkety):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
Launchpad Janitor (janitor) wrote :
Download full text (14.5 KiB)

This bug was fixed in the package linux - 4.8.0-49.52

---------------
linux (4.8.0-49.52) yakkety; urgency=low

  * linux: 4.8.0-49.52 -proposed tracker (LP: #1684427)

  * [Hyper-V] hv: util: move waiting for release to hv_utils_transport itself
    (LP: #1682561)
    - Drivers: hv: util: move waiting for release to hv_utils_transport itself

linux (4.8.0-48.51) yakkety; urgency=low

  * linux: 4.8.0-48.51 -proposed tracker (LP: #1682034)

  * [Hyper-V] hv: vmbus: Raise retry/wait limits in vmbus_post_msg()
    (LP: #1681893)
    - Drivers: hv: vmbus: Raise retry/wait limits in vmbus_post_msg()

linux (4.8.0-47.50) yakkety; urgency=low

  * linux: 4.8.0-47.50 -proposed tracker (LP: #1679678)

  * CVE-2017-6353
    - sctp: deny peeloff operation on asocs with threads sleeping on it

  * CVE-2017-5986
    - sctp: avoid BUG_ON on sctp_wait_for_sndbuf

  * vfat: missing iso8859-1 charset (LP: #1677230)
    - [Config] NLS_ISO8859_1=y

  * [Hyper-V] pci-hyperv: Use device serial number as PCI domain (LP: #1667527)
    - net/mlx4_core: Use cq quota in SRIOV when creating completion EQs

  * Regression: KVM modules should be on main kernel package (LP: #1678099)
    - [Config] powerpc: Add kvm-hv and kvm-pr to the generic inclusion list

  * linux-lts-xenial 4.4.0-63.84~14.04.2 ADT test failure with linux-lts-xenial
    4.4.0-63.84~14.04.2 (LP: #1664912)
    - SAUCE: apparmor: fix link auditing failure due to, uninitialized var

  * regession tests failing after stackprofile test is run (LP: #1661030)
    - SAUCE: fix regression with domain change in complain mode

  * Permission denied and inconsistent behavior in complain mode with 'ip netns
    list' command (LP: #1648903)
    - SAUCE: fix regression with domain change in complain mode

  * unexpected errno=13 and disconnected path when trying to open /proc/1/ns/mnt
    from a unshared mount namespace (LP: #1656121)
    - SAUCE: apparmor: null profiles should inherit parent control flags

  * apparmor refcount leak of profile namespace when removing profiles
    (LP: #1660849)
    - SAUCE: apparmor: fix ns ref count link when removing profiles from policy

  * tor in lxd: apparmor="DENIED" operation="change_onexec"
    namespace="root//CONTAINERNAME_<var-lib-lxd>" profile="unconfined"
    name="system_tor" (LP: #1648143)
    - SAUCE: apparmor: Fix no_new_privs blocking change_onexec when using stacked
      namespaces

  * apparmor oops in bind_mnt when dev_path lookup fails (LP: #1660840)
    - SAUCE: apparmor: fix oops in bind_mnt when dev_path lookup fails

  * apparmor auditing denied access of special apparmor .null fi\ le
    (LP: #1660836)
    - SAUCE: apparmor: Don't audit denied access of special apparmor .null file

  * apparmor label leak when new label is unused (LP: #1660834)
    - SAUCE: apparmor: fix label leak when new label is unused

  * apparmor reference count bug in label_merge_insert() (LP: #1660833)
    - SAUCE: apparmor: fix reference count bug in label_merge_insert()

  * apparmor's raw_data file in securityfs is sometimes truncated (LP: #1638996)
    - SAUCE: apparmor: fix replacement race in reading rawdata

  * unix domain socket cross permission check failing with n...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2019-05-31 18:35 EDT-------
No response to repeated requests. Rejecting.

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers